Bug 218195 - devel/libclc: update to 2017-02-25 to fix build on LLVM 4.0
Summary: devel/libclc: update to 2017-02-25 to fix build on LLVM 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-28 21:47 UTC by Eric Camachat
Modified: 2017-04-03 16:06 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
devel/libclc: update to 2017-02-25 to fix build on LLVM 4.0 (2.75 KB, patch)
2017-03-28 21:47 UTC, Eric Camachat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Camachat 2017-03-28 21:47:25 UTC
Created attachment 181280 [details]
devel/libclc: update to 2017-02-25 to fix build on LLVM 4.0
Comment 1 Konstantin Belousov freebsd_committer 2017-03-29 13:39:42 UTC
Could you, please, show the failure log ?
Comment 2 Matthew Rezny freebsd_committer 2017-03-29 14:09:02 UTC
Thanks for the patch submission.

libclc is currently on the latest version that is compatible with LLVM 3.9. Due to complications with multiple versions of LLVM installed, it is best to have all the graphics ports built with the same version of LLVM. Currently, that version is llvm39, with the exception of pocl that fails past llvm38.

The plan is to update Mesa to 17.0.x and get everything switched to llvm 4.0 after the imminent quarterly branch as this will be another significant change akin to Mesa 11 -> 13.
Comment 3 commit-hook freebsd_committer 2017-04-03 15:12:04 UTC
A commit references this bug:

Author: rezny
Date: Mon Apr  3 15:11:07 UTC 2017
New revision: 437663
URL: https://svnweb.freebsd.org/changeset/ports/437663

Log:
  Update to latest snapshot and obey MESA_LLVM_VER if set (only 40 is valid)

  PR:	218195
  Reviewed by:	jmd
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10248

Changes:
  head/devel/libclc/Makefile
  head/devel/libclc/distinfo
  head/devel/libclc/pkg-plist